//+------------------------------------------------------------------+
//|                             Check EA MagicNo (2010_05_14) Ver0.3 |
//|                                       Copyright (c) 2010 2ch̐l |
//|                                       http://2chmt4.seesaa.net/  |
//|                                                                  |
//|                             2010N0615 One Day Flag  ǉ    |
//|                             2010N1013 /o @\ǉ    |
//+------------------------------------------------------------------+

#property copyright "Copyright  2010, 2ch̐l"
#property link      "http://2chmt4.seesaa.net/"

extern string   SubDirectry      = "Profit";
extern string   FileName         = "Alpari(UK)";

extern datetime StartDay         = D'2010.1.2';          // Alpari(UK) Ή

extern bool     OneDay           = False;

//+------------------------------------------------------------------+
//|   init()                                                         |
//+------------------------------------------------------------------+

int init(){

//   datetime StartDay;

   int iHistoryTotal;
   int iHandle;

   string sFileName;
   datetime EndDay;
      
   if (SubDirectry != "") sFileName = SubDirectry + "\\";
   sFileName = sFileName + FileName + ".csv";
   
   int Today = TimeCurrent() / (24 * 60 * 60);
   EndDay = (Today + 1) * 24 * 60 * 60;

//    For One Day, Set StartDay & EndDay

   if (OneDay){
      
      int Yesterday = TimeCurrent() / (24 * 60 * 60) - 1;
      StartDay = Yesterday * 24 * 60 * 60;
      
      if(TimeDayOfWeek(StartDay) == 6) StartDay = StartDay - 24 * 60 * 60;
      
      EndDay = StartDay + 24 * 60 * 60;
   }

   iHandle = FileOpen(sFileName, FILE_CSV|FILE_WRITE, ',');

   iHistoryTotal = OrdersHistoryTotal();

   FileWrite(iHandle, "}WbNm", "ʉ݃yA", "Jn", "I", "Xbv", "v", "/o");

   if (iHistoryTotal > 0){
      
      for (int i = 0; i < iHistoryTotal; i++){

         if (OrderSelect(i, SELECT_BY_POS, MODE_HISTORY) == FALSE){
        
            Print("qXg[f[^ւ̃ANZXɎs܂(", GetLastError(), ")");
            break;
         }
         
         if(StartDay <= OrderCloseTime() && OrderCloseTime() < EndDay){

            if(OrderMagicNumber() == 0 && OrderSymbol() == "")
               FileWrite(iHandle, OrderMagicNumber(), OrderSymbol(), TimeToStr(OrderOpenTime()),
                               TimeToStr(OrderCloseTime()), DoubleToStr(OrderSwap(), 2),"" , DoubleToStr(OrderProfit(), 2));
            else
               FileWrite(iHandle, OrderMagicNumber(), OrderSymbol(), TimeToStr(OrderOpenTime()),
                               TimeToStr(OrderCloseTime()), DoubleToStr(OrderSwap(), 2), DoubleToStr(OrderProfit(), 2));
         }
      }
   }
   
   FileClose(iHandle);

   if (SubDirectry == "")
        Comment("\n  BrokerName = " + AccountCompany() + "\n" + "  FileName = " + FileName + ".csv");

   else Comment("\n  BrokerName = " + AccountCompany() + "\n"
              + "  FileDirectry = .. \\ experts \\ files\\ " + SubDirectry + "\n"
              + "  FileName = " + FileName + ".csv");
}

//+------------------------------------------------------------------+
//|   deinit()                                                       |
//+------------------------------------------------------------------+

int deinit(){

   return (0);
}

//+------------------------------------------------------------------+
//|   start()                                                        |
//+------------------------------------------------------------------+

int start(){

/*
   if (SubDirectry == "")
   
        Comment("\n  BrokerName = " + AccountCompany() + "\n"
              + "  FileName = " + FileName + ".csv");

   else Comment("\n  BrokerName = " + AccountCompany() + "\n"
              + "  FileDirectry = .. \\ experts \\ files\\ " + SubDirectry + "\n"
              + "  FileName = " + FileName + ".csv");
*/

   return (0);
}


